Subject: man page should say how to stop speaker-test

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Sun, 25 Oct 2015 19:19:32 +0800

Package: alsa-utils
Version: 1.0.29-1
Severity: wishlist
File: /usr/bin/speaker-test

1. The speaker-test man page does not mention how to stop speaker-test.

Please say on the speaker-test man page how to stop speaker-test.

2. ^C can take many seconds to stop speaker-test.

This is very bad as one might need silence right now as the security
guard is coming down the corridor, mom got up to use the washroom and
will go past our door, etc. Ms. Nibbens is checking all floors, etc.

I did some tests, and
$ speaker-test & sleep 2; killall -1 speaker-test #works right away!
$ speaker-test & sleep 2; killall -2 speaker-test # ^C, needs many seconds
$ speaker-test & sleep 2; killall    speaker-test #needs many seconds